List dispute evidence | Moov Documentation
List dispute evidence
Returns a dispute's public evidence by its ID.
Read our disputes guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.read scope.
GET
/accounts/{accountID}/disputes/{disputeID}/evidence
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/disputes/{disputeID}/evidence" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
var disputeID string
mc.ListDisputeEvidence(ctx, accountID, disputeID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.disputes.listEvidence({
accountID: "efc12040-97af-4720-91c5-14cd1a83877b",
disputeID: "f1c23432-4110-4981-9b72-b98df94bb61c",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->disputes->listEvidence(
accountID: 'efc12040-97af-4720-91c5-14cd1a83877b',
disputeID: 'f1c23432-4110-4981-9b72-b98df94bb61c'
);
if ($response->disputeEvidenceResponses !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListDisputeEvidenceResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListDisputeEvidenceResponse res = sdk.disputes().listEvidence()
.accountID("efc12040-97af-4720-91c5-14cd1a83877b")
.disputeID("f1c23432-4110-4981-9b72-b98df94bb61c")
.call();
if (res.disputeEvidenceResponses().isPresent()) {
System.out.println(res.disputeEvidenceResponses().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.disputes.list_evidence(account_id="efc12040-97af-4720-91c5-14cd1a83877b", dispute_id="f1c23432-4110-4981-9b72-b98df94bb61c")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.disputes.list_evidence(account_id: 'efc12040-97af-4720-91c5-14cd1a83877b', dispute_id: 'f1c23432-4110-4981-9b72-b98df94bb61c')
unless res.dispute_evidence_responses.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Disputes.ListEvidenceAsync(
accountID: "efc12040-97af-4720-91c5-14cd1a83877b",
disputeID: "f1c23432-4110-4981-9b72-b98df94bb61c"
);
// handle response
The request completed successfully.
Ask
Example
[\
{\
"evidenceID": "string",\
"disputeID": "string",\
"evidenceType": "receipt",\
"text": "string",\
"mimeType": "string",\
"filename": "string",\
"size": 0,\
"createdOn": "2019-08-24T14:15:22Z",\
"updatedOn": "2019-08-24T14:15:22Z",\
"submittedOn": "2019-08-24T14:15:22Z"\
}\
]
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
Possible values:
receipt,
proof-of-delivery,
cancelation-policy,
terms-of-service,
customer-communication,
generic-evidence,
cover-letter,
other
For file evidence, the name of the file.
For file evidence, the MIME type of the file.
For file evidence, the size of the file.
When the evidence was submitted for review.
For text evidence, the text submitted as evidence.
Was this helpful?
Any specific feedback?